package com.ruoyi.record.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 巡检报警记录对象 record_busbar_alarm
 *
 * @author zangch
 * @date 2024-12-03
 */
public class RecordBusbarAlarm extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 租户号 */
    @Excel(name = "租户号")
    private Long objId;

    /** 母排编号 */
    @Excel(name = "母排编号")
    private Long busbarCode;

    /** 电柜编号 */
    @Excel(name = "电柜编号")
    private Long cabinetCode;

    /** 最高温度 */
    @Excel(name = "最高温度")
    private BigDecimal tempMax;

    /** 最低温度 */
    @Excel(name = "最低温度")
    private BigDecimal tempMin;

    /** 平均温度 */
    @Excel(name = "平均温度")
    private BigDecimal tempAvg;

    /** 温差 */
    @Excel(name = "温差")
    private BigDecimal tempDiff;

    /** 图像路径 */
    @Excel(name = "图像路径")
    private String filePath;

    /** 报警类型 */
    @Excel(name = "报警类型")
    private Long alarmType;

    /** 报警阈值 */
    @Excel(name = "报警阈值")
    private BigDecimal alarmValue;

    /** 是否标识:1-是；0-否 */
    @Excel(name = "是否标识:1-是；0-否")
    private Long isFlag;

    /** 记录时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "记录时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date recordTime;

    public void setObjId(Long objId)
    {
        this.objId = objId;
    }

    public Long getObjId()
    {
        return objId;
    }
    public void setBusbarCode(Long busbarCode)
    {
        this.busbarCode = busbarCode;
    }

    public Long getBusbarCode()
    {
        return busbarCode;
    }
    public void setCabinetCode(Long cabinetCode)
    {
        this.cabinetCode = cabinetCode;
    }

    public Long getCabinetCode()
    {
        return cabinetCode;
    }
    public void setTempMax(BigDecimal tempMax)
    {
        this.tempMax = tempMax;
    }

    public BigDecimal getTempMax()
    {
        return tempMax;
    }
    public void setTempMin(BigDecimal tempMin)
    {
        this.tempMin = tempMin;
    }

    public BigDecimal getTempMin()
    {
        return tempMin;
    }
    public void setTempAvg(BigDecimal tempAvg)
    {
        this.tempAvg = tempAvg;
    }

    public BigDecimal getTempAvg()
    {
        return tempAvg;
    }
    public void setTempDiff(BigDecimal tempDiff)
    {
        this.tempDiff = tempDiff;
    }

    public BigDecimal getTempDiff()
    {
        return tempDiff;
    }
    public void setFilePath(String filePath)
    {
        this.filePath = filePath;
    }

    public String getFilePath()
    {
        return filePath;
    }
    public void setAlarmType(Long alarmType)
    {
        this.alarmType = alarmType;
    }

    public Long getAlarmType()
    {
        return alarmType;
    }
    public void setAlarmValue(BigDecimal alarmValue)
    {
        this.alarmValue = alarmValue;
    }

    public BigDecimal getAlarmValue()
    {
        return alarmValue;
    }
    public void setIsFlag(Long isFlag)
    {
        this.isFlag = isFlag;
    }

    public Long getIsFlag()
    {
        return isFlag;
    }
    public void setRecordTime(Date recordTime)
    {
        this.recordTime = recordTime;
    }

    public Date getRecordTime()
    {
        return recordTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objId", getObjId())
            .append("busbarCode", getBusbarCode())
            .append("cabinetCode", getCabinetCode())
            .append("tempMax", getTempMax())
            .append("tempMin", getTempMin())
            .append("tempAvg", getTempAvg())
            .append("tempDiff", getTempDiff())
            .append("filePath", getFilePath())
            .append("alarmType", getAlarmType())
            .append("alarmValue", getAlarmValue())
            .append("isFlag", getIsFlag())
            .append("recordTime", getRecordTime())
            .toString();
    }
}
